import { InputMode, InputStrategy } from '../input.component';
import IMask from 'imask';
export declare class InputAmountStrategy implements InputStrategy {
    type: string;
    inputMode: InputMode;
    prefix: any;
    private _currency;
    constructor();
    get currency(): string;
    set currency(currency: string);
    get mask(): IMask.AnyMaskedOptions;
    parse(outsideValue: any): string;
    format(insideValue: string): string | number;
}
